/* eslint-disable */
import {
	BGSH_OVERSEA,
	BGSH_CHINA,
	JINJIANG_ONLINE
} from './const';



function getYouShangHaiAppVersion(u) {
	let ua = u || navigator.userAgent
	// exp: v=2.4.1
	var v = /(?=v\=).*/.exec(ua)[0].replace('v=', '').split(' ')[0]
	// => 2.0401
	// 将 版本号转为 number类型，容易做版本号前后差异对比
	v = v.replace(/(\.\d+)+/, match => {
		return '.' + match
			.slice(1)
			.split('.')
			.map(num => num < 10 ? '0' + num : num)
			.join('')
	})

	return Number(v)
}

/**
 * 获取APP 版本号， 非铂涛/锦江APP，版本号为0
 * @return {number}
 * @example 1.0201
 */
export default function getAppVersion(u) {
    let ua = u || navigator.userAgent;
	if (ua.indexOf(BGSH_OVERSEA) !== -1 || ua.indexOf(BGSH_CHINA) !== -1 || ua.indexOf(JINJIANG_ONLINE) !== -1) {
		return getYouShangHaiAppVersion(ua);
	} else {
		return 0;
	}
}
/**
 *
 * @param {String} ua
 * @example 1.2.1
 */
export const getShortVersion = (() => {
	let appVersion = ''
	return ua => {
		if (appVersion) {
			return appVersion
		}
		ua = ua || navigator.userAgent;
		const regMatch = /(?=v=).*/.exec(ua);
		if (regMatch) {
			appVersion = regMatch[0].replace('v=', '').split(' ')[0];
		}
		return appVersion
	}
})()
