import {concatUrl} from './url-params'
// 图片裁剪
const standardWidth = 750
const physicPixel = screen.availWidth * window.devicePixelRatio
const ratio = physicPixel / standardWidth
import {isAndroid} from './ua'
// 裁剪图片中间部分
export const clipImage = (url, width, height) => {
	let clipP = getRotioSize(width, height)
	if (!clipP) {
		return url
	}
	let alicdnUrl = `x-oss-process=image/crop,x_0,y_0,w_${clipP.clipWidth},h_${clipP.clipHeight},g_center/quality,q_80`
	alicdnUrl = getAndroidQuery(alicdnUrl, '/format,webp')
	return concatUrl(url, alicdnUrl)
}
export const getRotioSize = (width, height) => {
	if (!width) {
		return ''
	}
	let clipWidth = parseInt(width * ratio)
	let clipHeight = 0
	if (height) {
		clipHeight = parseInt(height * ratio)
	}
	return {
		clipWidth,
		clipHeight
	}
}

export const getAndroidQuery = (alicdnUrl, p) => {
	return  isAndroid ? `${alicdnUrl}${p}` : alicdnUrl
}

// 保持图片完整(建筑阅读、文创、特产)
export const resizeImage = (url, width, height) => {
	let clipP = getRotioSize(width, height)
	if (!clipP) {
		return url
	}
	let alicdnUrl = `x-oss-process=image/resize,m_mfit,w_${clipP.clipWidth},h_${clipP.clipHeight}/quality,q_80`
	alicdnUrl = getAndroidQuery(alicdnUrl, '/format,webp')
	return concatUrl(url, alicdnUrl)
}