/**
 * 版本判断 不小于
 * @param {*} v1 2.3.1
 * @param {*} v2 0.4.2
 * @returns v1>v2 true v1<v2 false
 */

export const versionCompare = (version1, version2) => {
    let v1 = version1.split('.')
    let v2 = version2.split('.')
    for (let i = 0; i < v1.length; i++) {
        if (v1[i] * 1 > v2[i] * 1) {
            return true // 当前版本号大于要求最低版本号
        } else if (v1[i] * 1 < v2[i] * 1) {
            return false // 当前版本号小于要求最低版本号
        }
    }
    return true // 当前版本号等于要求最低版本号
}
