/**
 * 强制保留2位小数，如：2，会在2后面补上00.即2.00
 * @param price
 * @returns {*}
 */
export const toDecimal2 = (price, fixed2) => {
	let p = parseFloat(price);
	if (isNaN(p)) {
		return false;
	}
	let f = Math.round(price * 100) / 100
	let s = f.toString()
	let rs = s.indexOf('.')
	if (fixed2) {
		if (rs < 0) {
			rs = s.length
			s += '.'
		}
		while (s.length <= rs + 2) {
			s += '0';
		}
	}
	return s
}

/**
 * 分转化为元 - 正则解决精度
 * @param fen
 * @returns {string}
 */
export const regFenToYuan = (fen, fixed2 = 0) => {
	let num = fen
	num = fen * 0.01
	num += ''
	let reg = num.indexOf('.') > -1 ? /(\d{1,3})(?=(?:\d{3})+\.)/g : /(\d{1,3})(?=(?:\d{3})+$)/g
	num = num.replace(reg, '$1')
	num = toDecimal2(num, fixed2)
	return num
}

/**
 * 元转分 - 解决精度问题 yuan:要转换的钱，单位元； digit：转换倍数
 * @param yuan
 * @param digit
 * @returns {number}
 */
export const regYuanToFen = (yuan, digit = 100) => {
	let m = 0
	let s1 = yuan.toString()
	let s2 = digit.toString()
	try {
		m += s1.split(".")[1].length
	} catch (e) {

	}
	try {
		m += s2.split(".")[1].length
	} catch (e) {

	}
	return Number(s1.replace(".","")) * Number(s2.replace(".",""))/ Math.pow(10, m)
}
