
/**
 * 存储localStorage
 * @param {*} key
 * @param {*} value
 */
export function setLocal (key, value) {
	if (typeof value === 'string') {
		localStorage.setItem(key, value)
	} else {
		localStorage.setItem(key, JSON.stringify(value))
	}
}
/**
 * 获取localStorage
 * @param {*} key
 * @returns  value
 */
export function getLocal (key) {
	const str = localStorage.getItem(key)
	if (typeof str === 'string') {
		try {
			return JSON.parse(str)
		} catch (e) {
			return str
		}
	}
}
/**
 * 移除localStorage
 * @param {*} key
 *
 */
export function removeLocal (key) {
    window.localStorage.removeItem(key)
}
/**
 * 清空localStorage
 *
 */
export function clearLocal () {
    window.localStorage.clear()
}
/**
 * 获取cookie
 * @param {*} key
 * @returns vaule
 */
export function getCookie (key) {
	const arr = document.cookie.split(';')
    for (let i = 0; i < arr.length; i++) {
        let item = arr[i].split('=')
        // eslint-disable-next-line no-undef
        if (item[0].trim() === key) {
            return item[1]
        }
    }
}
